Subject: Re: [PATCH net-next] net: enc28j60: Use threaded interrupt instead of workqueue

From: Leon Romanovsky <[email-masked]>
Date: Thu, 11 May 2023 21:48:18 +0300

On Thu, May 11, 2023 at 08:51:28AM -0700, Jakub Kicinski wrote:
> On Thu, 11 May 2023 09:59:17 +0300 Leon Romanovsky wrote:
> > And this is mainly the issue here. Lukas changes are not different from
> > what many of us doing when we submit internal patches. We change/update/rewrite
> > patches which make them different from internal variant.
> > 
> > Once the patches are public, they will have relevant changelog section.
> > 
> > I don't see how modifying-patches.rst can be seen differently.
> > 
> > BTW, Regarding know-to-blame reasoning, everyone who added his
> > Signed-off-by to the patch is immediately suspicious.
> 
> Right, modifying-patches.rst does not apply to corpo patches.
> 
> Maybe the analogy from US law would be helpful to show how I think
> about it -- corporation (especially working on its own product)
> is one "legal person", Philipp and Lukas are separate "human persons".

You have no reliable way to know the relation between person A and person B.

> 
> IOW patch circulation and attribution within a corporation is naturally
> different than between community members.

Yes and no, it is very dependant on corporation.

Thanks